Create job
POST/api/jobs/
Create job
Body Parameters
agent: optional string
formatuuid
analyzer_model: optional string
maxLength128
backtest_results: optional unknown
baseline_score: optional number
formatdouble
best_agent_code: optional string
best_score: optional number
formatdouble
candidates_per_iteration: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
celery_task_id: optional string
maxLength255
data_source: optional string
minLength1
maxLength20
improvement: optional number
formatdouble
num_iterations: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
project: optional string
formatuuid
prompt_slug: optional string
maxLength255
report_markdown: optional string
result: optional unknown
triggered_by: optional number
Returns
id: string
formatuuid
created_at: string
formatdate-time
updated_at: string
formatdate-time
agent: optional string
formatuuid
analyzer_model: optional string
maxLength128
backtest_results: optional unknown
baseline_score: optional number
formatdouble
best_agent_code: optional string
best_score: optional number
formatdouble
candidates_per_iteration: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
celery_task_id: optional string
maxLength255
data_source: optional string
maxLength20
improvement: optional number
formatdouble
num_iterations: optional number
maximum9223372036854776000
minimum-9223372036854776000
formatint64
project: optional string
formatuuid
prompt_slug: optional string
maxLength255
report_markdown: optional string
result: optional unknown
triggered_by: optional number
Create job
curl https://api.overmindlab.ai/api/jobs/ \
-X POST{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"iterations": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"iteration_name": "iteration_name",
"job": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"agent_code": "agent_code",
"avg_score": 0,
"description": "description",
"dimension_scores": {},
"order": -9007199254740991,
"status": "keep"
}
],
"updated_at": "2019-12-27T18:11:19.117Z",
"agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"analyzer_model": "analyzer_model",
"backtest_results": {},
"baseline_score": 0,
"best_agent_code": "best_agent_code",
"best_score": 0,
"candidates_per_iteration": -9007199254740991,
"celery_task_id": "celery_task_id",
"data_source": "data_source",
"improvement": 0,
"job_type": "inference",
"num_iterations": -9007199254740991,
"project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"prompt_slug": "prompt_slug",
"report_markdown": "report_markdown",
"result": {},
"status": "pending",
"triggered_by": 0
}Returns Examples
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"iterations": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"iteration_name": "iteration_name",
"job": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"agent_code": "agent_code",
"avg_score": 0,
"description": "description",
"dimension_scores": {},
"order": -9007199254740991,
"status": "keep"
}
],
"updated_at": "2019-12-27T18:11:19.117Z",
"agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"analyzer_model": "analyzer_model",
"backtest_results": {},
"baseline_score": 0,
"best_agent_code": "best_agent_code",
"best_score": 0,
"candidates_per_iteration": -9007199254740991,
"celery_task_id": "celery_task_id",
"data_source": "data_source",
"improvement": 0,
"job_type": "inference",
"num_iterations": -9007199254740991,
"project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"prompt_slug": "prompt_slug",
"report_markdown": "report_markdown",
"result": {},
"status": "pending",
"triggered_by": 0
}